import { SVGProps } from 'react';
declare type AnnotationShapeList = 'circle' | 'triangle' | 'line' | 'none';
export interface AnnotationArrowProps extends Omit<SVGProps<SVGLineElement>, 'x1' | 'x2' | 'y1' | 'y2' | 'stroke'> {
    x1: number | string;
    y1: number | string;
    x2: number | string;
    y2: number | string;
    startPoint?: AnnotationShapeList;
    endPoint?: AnnotationShapeList;
    color?: string;
    strokeWidth?: number | string;
    markerSize?: number | string;
}
export declare function Arrow(props: AnnotationArrowProps): JSX.Element;
export {};
