import { SVGProps } from 'react';
export interface AnnotationEllipseProps extends Omit<SVGProps<SVGEllipseElement>, 'x1' | 'x2' | 'y1' | 'y2' | 'cx' | 'cy' | 'rx' | 'ry'> {
    x: number | string;
    y: number | string;
    rx: number | string;
    ry: number | string;
}
export declare function Ellipse(props: AnnotationEllipseProps): JSX.Element;
