import { SVGProps } from 'react';
export interface AnnotationRectangleProps extends Omit<SVGProps<SVGRectElement>, 'x1' | 'x2' | 'y1' | 'y2' | 'x' | 'y' | 'width' | 'height' | 'fill'> {
    x1: number | string;
    y1: number | string;
    x2: number | string;
    y2: number | string;
    color?: string;
}
export declare function Rectangle(props: AnnotationRectangleProps): JSX.Element;
