import { jsx as _jsx } from "react/jsx-runtime";
import { useRectanglePosition } from '../../hooks';
export function Rectangle(props) {
    const { x1: oldX1, y1: oldY1, x2: oldX2, y2: oldY2, color, ...otherProps } = props;
    const { x, y, width, height } = useRectanglePosition({
        x1: oldX1,
        y1: oldY1,
        x2: oldX2,
        y2: oldY2,
    });
    return (_jsx("rect", { x: x, y: y, width: width, height: height, fill: color, ...otherProps }, void 0));
}
//# sourceMappingURL=Rectangle.js.map