import { SVGAttributes } from 'react';
import { BaseSeriesProps, CSSFuncProps, SeriesPoint, Shape } from '../types';
export interface ScatterSeriesProps<T = SeriesPoint> extends BaseSeriesProps<T> {
    markerShape?: Shape;
    markerSize?: number;
    markerStyle?: CSSFuncProps<T>;
    displayErrorBars?: boolean;
    errorBarsStyle?: SVGAttributes<SVGLineElement>;
    errorBarsCapStyle?: SVGAttributes<SVGLineElement>;
    errorBarsCapSize?: number;
}
export declare function ScatterSeries(props: ScatterSeriesProps): JSX.Element;
